<?php

namespace Drupal\order\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines a Checkout annotation object.
 *
 * @see \Drupal\order\Plugin\CheckoutManager
 * @see \Drupal\order\Plugin\CheckoutManagerInterface
 *
 * @ingroup checkout
 *
 * @Annotation
 */
class Checkout extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The human-readable name of the checkout type.
   *
   * @var \Drupal\Core\Annotation\Translation
   */
  public $label;

  /**
   * A short description of the formatter type.
   *
   * @var \Drupal\Core\Annotation\Translation
   */
  public $description;

  /**
   * The name of the field formatter class.
   *
   * @var string
   */
  public $class;

  /**
   * The form class associated with this plugin.
   *
   * @var string
   */
  public $form;

}
